cURL
curl --request POST \ --url https://api.spacebring.com/discounts/promocodes/v1 \ --header 'Authorization: Basic <encoded-value>' \ --header 'Content-Type: application/json' \ --data ' { "promocode": { "code": "<string>", "couponRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "expiration": { "enabled": true, "date": "2023-11-07T05:31:56Z" }, "limitByFirstPurchase": true, "limitedRedemption": { "enabled": true, "value": 123 } } } '
{ "promocode": { "archiveDate": "2023-11-07T05:31:56Z", "code": "<string>", "couponRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "createDate": "2023-11-07T05:31:56Z", "expiration": { "date": "2023-11-07T05:31:56Z", "enabled": true }, "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "limitByFirstPurchase": true, "limitedRedemption": { "enabled": true, "usage": 123, "value": 123 }, "locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "networkRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } }
Create a promocode.
invoices
See our authentication documentation for how to authorize your requests
The id of the network. Required when using bearer token authentication
Show child attributes
Created